> ## Documentation Index
> Fetch the complete documentation index at: https://docs.scoot.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Add Track to Playlist

Adds a new track to an existing audio playlist.


## OpenAPI

````yaml POST /api/v1/audio/api/key/playlist/add/track
openapi: 3.0.2
info:
  title: Scoot Customer API - Complete Documentation
  version: 1.0.0
  description: >-
    Complete API documentation for Scoot customer-facing endpoints with full
    type definitions from the backend service.
servers:
  - url: https://api.scoot.app
    description: Production server
security: []
tags:
  - name: Social
    description: Social event management endpoints
  - name: Room
    description: Room management endpoints
  - name: Theme
    description: Theme and background management endpoints
  - name: Event
    description: Event registration and management endpoints
  - name: Recording
    description: Recording and transcription endpoints
  - name: Playlist
    description: Audio playlist management endpoints
  - name: Badging
    description: Badge and gamification endpoints
  - name: User
    description: User management endpoints
paths:
  /api/v1/audio/api/key/playlist/add/track:
    post:
      tags:
        - PlaylistController
      summary: POST /api/v1/audio/api/key/playlist/add/track
      operationId: post__api_v1_audio_api_key_playlist_add_track
      parameters:
        - in: query
          name: playlistId
          required: true
          schema:
            type: string
            format: uuid
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/AudioTrack'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AudioTrack'
      security:
        - ApiKeyAuth: []
components:
  schemas:
    AudioTrack:
      type: object
      properties:
        audioTrackId:
          type: string
          format: uuid
        trackKey:
          type: string
        folder:
          type: string
        fileSize:
          type: integer
        opusKey:
          type: string
        opusSize:
          type: integer
        title:
          type: string
        artists:
          type: string
        composer:
          type: string
        genre:
          type: string
        album:
          type: string
        duration:
          type: integer
        marketingLabel:
          type: string
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key

````